<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
   $vg_empresa=$_SESSION["empresa"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
						where login='".$vg_login."'  and programa=".$vg_programa."");
while($datos= mysqli_fetch_row($sql_entrada))
		{ $vg_nombre=$datos[1];
		  $vg_perfil=$datos[2];				
		} 
//permisos a formularios
$modulo="parametros";
$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
include "../permisos.php";
$valpermiso=F_permiso($permisos);

if($valpermiso[0]==1){}
else
{echo "<script>";
echo "window.location='../erroracceso.php?formulario=parametros';";
echo "</script>";
}

include "../parametros.php";
include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html><head>
<title><?php echo $nombreprograma; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="icon" type="image/png" href="../icono.ico"/>
<link href="../general.css" rel="stylesheet" type="text/css">
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" type="text/css" href="../src/plugins/datatables/css/responsive.bootstrap4.min.css">
  
</head>
<BODY>
<form name="frmempresa" method="post" action="">
 
  <div align="center">
   
<center>
        <table id="example1" class="table table-bordered table-striped" style="font-size:12px; width:100%" cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>
                        <thead>
                            <tr class="btn-primary">
                                <th width='10%'>CODIGO</th>
                                <th width='10%'>CLASIFICACION</th>
                                <th width='10%'>TIPO DOCUMENTO</th>
                                <th width='10%'>NIT</th>
                                <th width='10%'>DV</th>
                                <th width='10%'>UBICACION</th>
                                <th width='20%'>NOMBRE</th>
                                <th width='20%'>DIRECCION</th>
                                <th width='10%'>TELEFONO</th>
                                <th width='10%'>CELULAR</th>
                                <th width='20%'>EMAIL</th>
                                <th width='10%'>TIPO PERSONA</th>
                                <th width='10%'>CONTACTO</th>
                                <th width='10%'>PAIS</th>
                                <th width='10%'>DEPARTAMENTO</th>
                                <th width='10%'>CIUDAD</th>
                                <th width='10%'>FORMA PAGO</th>
                                <th width='10%'>PERIODO PAGO</th>
                                <th width='10%'>ESTADO</th>
                            </tr>
                        </thead>
                        <tbody>
<?php

		$sql_datos =mysqli_query($conexion,"select  clasificacion,tipopersona,tipodocumento,nit,sucursal,dv,contacto,direccion,pais,
												departamento,ciudad,telefono,celular,email,periodopago,id,nombre,formapago,estado,ubicacion,apellido,apellido2
											FROM tercero");
			while($datos= mysqli_fetch_row($sql_datos))
			{ 
				$clasificacion=$datos[0]; 						
				$tipopersona=$datos[1]; 	
				$tipodocumento=$datos[2]; 	
				$nit=$datos[3]; 	
				$sucursal=$datos[4]; 	
				$dv=$datos[5]; 	
				$contacto=$datos[6]; 	
				$direccion=$datos[7]; 	
				$pais=$datos[8]; 	
				$departamento=$datos[9]; 	
				$municipio=$datos[10]; 	
				$telefono=$datos[11]; 	
				$celular=$datos[12]; 	
				$email=$datos[13]; 	
				$periodopago=$datos[14]; 	
				$rsid=$datos[15]; 
				$nombre=$datos[16]; 	
				$formapago=$datos[17]; 	
				$estado=$datos[18]; 	
				$ubicacion=$datos[19]; 	
				$apellido1=$datos[20]; 	
				$apellido2=$datos[21]; 	
			
			$nestado="";	
            $rs_sql=mysqli_query($conexion,"SELECT nombre FROM estado where id='".$estado."'");
			while($datoses= mysqli_fetch_row($rs_sql)){ $nestado=$datoses[0];}
			$nclasificacion="";
			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$clasificacion."'");
			while($datoses= mysqli_fetch_row($rs_sql)){ $nclasificacion=$datoses[0];}
			$ntipopersona="";
			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$tipopersona."'");
			while($datoses= mysqli_fetch_row($rs_sql)){ $ntipopersona=$datoses[0];}
            
            $ntipodocumento="";
			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$tipodocumento."'");
			while($datoses= mysqli_fetch_row($rs_sql)){ $ntipodocumento=$datoses[0];}

            $nformapago="";
			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$formapago."'");
			while($datoses= mysqli_fetch_row($rs_sql)){ $nformapago=$datoses[0];}

            $npais="";
			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM pais where id='".$pais."'");
			while($datoses= mysqli_fetch_row($rs_sql)){ $npais=$datoses[0];}
			
			$ndepartamento="";
			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM departamento where codigo='".$departamento."'");
			while($datoses= mysqli_fetch_row($rs_sql)){ $ndepartamento=$datoses[0];}

            $nmunicipio="";
			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM municipio where id='".$municipio."' and departamento='".$departamento."'");
			while($datoses= mysqli_fetch_row($rs_sql)){ $nmunicipio=$datoses[0];}
			
			
			$nubicacion="";
			$rs_sql=mysqli_query($conexion,"SELECT nombre FROM municipio where codigo='".$ubicacion."'");
			while($datoses= mysqli_fetch_row($rs_sql)){ $nubicacion=$datoses[0];}


		   echo " <tr onClick='window.opener.frmempresa.id.value=$rsid;window.opener.frmempresa.obuscar.value=1;window.opener.frmempresa.submit();'>";
			 echo "<td>".$rsid."</td>";			 
			 echo "<td>".$nclasificacion."</td>";
			 echo "<td>".$ntipodocumento."</td>";
			 echo "<td>".$nit."</td>";
			 echo "<td>".$dv."</td>";
			 echo "<td>".$nubicacion."</td>";
			 echo "<td>".$nombre." $apellido1 $apellido2</td>";
			 echo "<td>".$direccion."</td>";
			 echo "<td>".$telefono."</td>";
			 echo "<td>".$celular."</td>";
			 echo "<td>".$email."</td>";			 
			 echo "<td>".$ntipopersona."</td>";
			 echo "<td>".$contacto."</td>";
			 echo "<td>".$npais."</td>";
			 echo "<td>".$ndepartamento."</td>";
			 echo "<td>".$nmunicipio."</td>";
			 echo "<td>".$nformapago."</td>";
			 echo "<td>".$periodopago."</td>";
			 echo "<td>".$nestado."</td>";
		  echo "</tr>";
	 }

?>
</tbody></table></center> 
	
    <input name="oculto" type="hidden" id="oculto">
</div>


<script src="../plugins1/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins1/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins1/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins1/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins1/jszip/jszip.min.js"></script>
<script src="../plugins1/pdfmake/pdfmake.min.js"></script>
<script src="../plugins1/pdfmake/vfs_fonts.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins1/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["excel", "pdf", "print", "colvis"],
	  "order": [ 0, 'asc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
   
  });
</script>

</form>
</body>
</html>